/***************************************************************************
                             graphprefdlg.h
                             -------------------
    begin                : Tue Sep 27 2005
    copyright            : (C) 2005 by Elad Lahav
    email                : elad_lahav@users.sf.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GRAPHPREFDLG_H
#define GRAPHPREFDLG_H

#include "graphpreflayout.h"

/**
 * A dialogue that allows the user to configure the appearance and behaviour
 * of the call graph.
 * @author Elad Lahav
 */
class GraphPrefDlg : public GraphPrefLayout
{
	Q_OBJECT

public:
	GraphPrefDlg(QWidget* pParent = 0, const char* szName = 0);
	~GraphPrefDlg();

	int getMaxNodeDegree();

protected slots:
	virtual void slotFontClicked();
	virtual void slotColorClicked();
};

#endif

